<?php
// https://www.muziekweb.nl/Muziekweb/Webservice/Example/Album.php?AlbumID=JK90000
require_once('Bootstrap.php');
require_once('Search.Lib.php');

$pAlbumID = filter_input(INPUT_GET, "AlbumID", FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW | FILTER_FLAG_STRIP_HIGH);

$client = new \Zend_Rest_Client(WEB_REST_SERVICE.'/ExtendedInfo/v3/albumInformation.xml'.
        '?albumID='.urlencode($pAlbumID).
        '&website=example.com'.
        '&html=1');
$wsResult = $client->get();
unset($client);

$PAGE = '';
if (is_object($wsResult) && isset($wsResult->Result['ErrorCode']) && intval($wsResult->Result['ErrorCode']) === 0)
{
  $urlCover = URL_Cover($wsResult->Result->Album, 'MEDIUM');

  $composerStr = '';
  $performerStr = '';
  foreach($wsResult->Result->Album->Performers->Performer as $performer)
  {
    if ($wsResult->Result->Album->Catalogue == 'CLASSICAL')
    {
      if ($performer->Role['Code'] == 'COMPOSER')
      {
        if (strlen($composerStr) > 0)
        {
          $composerStr .= ' & ';
        }
        $composerStr .= '<i><a href="Classical-ComposerWork.php?Link='.urlencode($performer['Link']).'">'.$performer->PresentationName.'</a></i>';
      }
      else
      {
        if (strlen($performerStr) > 0)
        {
          $performerStr .= ' <br> ';
        }
        if ($performer['Link'])
        {
          $performerStr .= '<a href="Classical-Performance.php?PerformerLink='.urlencode($performer['Link']).'">'.$performer->PresentationName.'</a>';
        }
        else
        {
          $performerStr .= $performer->PresentationName;
        }
      }

    }
    else
    {
      if (strlen($performerStr) > 0)
      {
        $performerStr .= '<br>';
      }

      $performerStr .= $performer->PresentationName;
    }
  } //foreach performer



  $PAGE .= '<div>'.PHP_EOL.
           '<img style="float:left" src="'.$urlCover.'">'.
           '<div style="float:left">&nbsp;</div>'.
           '<div style="float:left">'.
           '<h2>'.$wsResult->Result->Album->AlbumTitle.'</h2>';
  if ($wsResult->Result->Album->Catalogue == 'CLASSICAL')
  {
    $PAGE .= '<h3>'.$composerStr.'</h3>';
  }
  else
  {
    $PAGE .= '<h3>'.$performerStr.'</h3>';
  }
  $PAGE .= '</div>'.
           '</div>'.PHP_EOL.
           '<div style="clear: both;">&nbsp;</div>'.PHP_EOL;


  $PAGE .= '<div>'.
           '<table style="width100%">'.PHP_EOL;
  $counter = 0;
  foreach($wsResult->Result->Album->Tracks->Track as $track)
  {
    $counter++;
    if ($counter > 1)
    {
      $PAGE .= '<tr><td>&nbsp;</td></tr>'.PHP_EOL;
    }

    $composerStr = '';
    $performerStr = '';
    foreach($track->Performers->Performer as $performer)
    {
      if ($wsResult->Result->Album->Catalogue == 'CLASSICAL')
      {
        if ($performer->Role['Code'] == 'COMPOSER')
        {
          if (strlen($composerStr) > 0)
          {
            $composerStr .= ' & ';
          }
          $composerStr .= '<i><a href="Classical-ComposerWork.php?Link='.urlencode($performer['Link']).'">'.$performer->PresentationName.'</a></i>';
        }
        else
        {
          if (strlen($performerStr) > 0)
          {
            $performerStr .= ' <br> ';
          }
          if ($performer['Link'])
          {
            $performerStr .= '<a href="Classical-Performance.php?PerformerLink='.urlencode($performer['Link']).'">'.$performer->PresentationName.'</a>';
          }
          else
          {
            $performerStr .= $performer->PresentationName;
          }
        }

      }
      else
      {
        if (strlen($performerStr) > 0)
        {
          $performerStr .= '<br>';
        }

        $performerStr .= $performer->PresentationName;
      }
    } //foreach performer


   $PAGE .= '<tr>'.PHP_EOL;
    if ($wsResult->Result->Album->Catalogue != 'CLASSICAL')
    {
      // POPULAR
      $PAGE .= '<td style="vertical-align: top;">'.$track['TrackNumber'].'.</td><td>&nbsp</td>';
      $PAGE .= '<td style="vertical-align: top;">'.$track->TrackTitle.'</td><td>'.$performerStr.'</td>';
    }
    else
    {
      // CLASSICAL
      $PAGE .= '<td style="vertical-align: top;">'.$track['TrackNumber'].'.</td><td>&nbsp</td>';
      $PAGE .= '<td style="vertical-align: top;">'.
               $track->TrackTitle;
      if ($composerStr)
      {
        $PAGE .= '<br>'.$composerStr;
      }
      $PAGE .= '</td>'.
               '</td><td style="vertical-align: top;">'.$performerStr.'</td>';
    }
    $PAGE .= '</tr>'.PHP_EOL;
  } //foreach
  $PAGE .= '</table>'.PHP_EOL;
  $PAGE .= '</div>'.PHP_EOL;

}
else
{
  $PAGE .= 'Error!';
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <title>Example api</title>

  <script type="text/javascript" src="jquery-1.11.1.js" charset="utf-8"></script>

</head>
<body>

<?php echo $PAGE;?>

</body>
</html>
