<?php
// https://www.muziekweb.nl/Muziekweb/Webservice/Example/Pop-PerformerAlbums.php?Link=M00000023349
require_once('Bootstrap.php');
require_once('Search.Lib.php');

$pLink = empty($_REQUEST['Link']) ? false : trim(substr($_REQUEST['Link'], 0, 100));
$pRangeStart = empty($_REQUEST['RangeStart']) ? 1 : intval($_REQUEST['RangeStart']);
$pRangeEnd = empty($_REQUEST['RangeEnd']) ? ($pRangeStart + 19) : intval($_REQUEST['RangeEnd']);

$client = new \Zend_Rest_Client(WEB_REST_SERVICE.'/ExtendedInfo/v3/performerInfo.xml'.
        '?performerLink='.urlencode($pLink).
        '&website=example.com'.
        '&html=1');
$wsResultPerformer = $client->get();
unset($client);

$client = new \Zend_Rest_Client(WEB_REST_SERVICE.'/Search/v3/Link/PopularArtistLink.xml'.
        '?performerLink='.urlencode($pLink).
        '&rangeStart='.urlencode($pRangeStart).
        '&rangeEnd='.urlencode($pRangeEnd));
$wsResult = $client->get();
unset($client);

$PAGE = '';
if (is_object($wsResult) && isset($wsResult->Result['ErrorCode']) && intval($wsResult->Result['ErrorCode']) === 0 &&
    is_object($wsResultPerformer) && isset($wsResultPerformer->Result['ErrorCode']) && intval($wsResultPerformer->Result['ErrorCode']) === 0)
{
  $pageUrl = 'Pop-PerformerAlbums.php?Link='.urlencode($pLink);
  switch($wsResult->Result->ResultInfo['ResultName'])
  {
    case 'ALBUM':
      $PAGE .= '<h2>List of all albums from '.$wsResultPerformer->Result->Performer->PresentationName.'</h2><br>'.
               RenderList_Albums($wsResult, $wsResultPerformer, $pageUrl);
      break;

    case 'SONG':
      $PAGE .= '<h2>List of all songs from '.$wsResultPerformer->Result->Performer->PresentationName.'</h2><br>'.
               RenderList_Songs($wsResult, $wsResultPerformer, $pageUrl);
      break;
  } //switch

}
else
{
  $PAGE .= 'Error!';
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <title>Example api</title>

  <script type="text/javascript" src="jquery-1.11.1.js" charset="utf-8"></script>

</head>
<body>

<?php echo $PAGE;?>

</body>
</html>
