<?php
// https://www.muziekweb.nl/Muziekweb/Webservice/Example/index.php
require_once('Bootstrap.php');
require_once('Search.Lib.php');

$pQ = empty($_REQUEST['q']) ? false : trim(substr($_REQUEST['q'], 0, 100));
$pCatalogue = empty($_REQUEST['catalogue']) ? 'auto' : strtolower($_REQUEST['catalogue']);


$wsResult = null;
// Is there a valid search input
if (strlen($pQ) > 0)
{
  // test case: "meatloaf"
  $client = new \Zend_Rest_Client(WEB_REST_SERVICE.'/Search/v3/SingleSearch/SingleSearch.xml'.
          '?q='.urlencode($pQ).
          '&highlight=1'.
          '&website=example.com'.
          '&html=1'.
          '&realtime=0');
  $wsResult = $client->get();
  unset($client);
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <title>Example api</title>

  <script type="text/javascript" src="jquery-1.11.1.js" charset="utf-8"></script>

</head>
<body>

<form id="singlesearch" method="get" action="index.php">
  <div>Enter search text:</div>
  <input class="search-singlesearch" type="text" id="q" name="q" value="" size="40" placeholder="Zoeken..." autocomplete="off">
  <input type="hidden" id="catalogue" name="catalogue" value="" dvalue="auto">
  <!-- <input class="search-submit" type="submit" value="Search" id="searchButton"> -->
</form>


<div id="searchResult"></div>


<script>
// Set focus on input element 'q'
$('#q').focus();

// some magic to search when text length is larger or equal to 2
// and no request is alreeady taking place
var searching = 0;
function doSearch()
{
  if ($('#q').val().length < 2)
  {
    searching = 0;
    return;
  }

  $.ajax({
    cache: false,
    url: 'Search.Ajax.php',
    data: { q: $('#q').val(), catalogue: $('#catalogue').val() },
    success: function(result)
    {
      $('#searchResult').html(result);
    }
  })
  .done(function()
  {
    if (searching == 2)
    {
      // retriger
      searching = 1;
      doSearch();
    }
    else
    {
      searching = 0;
    }
  });
}

$('#q').on('keyup', function(e)
{
  if ($('#q').val().length >= 2)
  {
    if (searching == 0)
    {
      searching = 1;
      doSearch();
    }
    else if (searching == 1)
    {
      // retrigger when ajax is done
      searching = 2;
    }
  }
});

</script>
</body>
</html>
